Name: icingadb-redis
Version: 7.2.9
Release: 2.opensuse15.6
Summary: Redis database for Icinga DB
Group: Productivity/Databases/Daemons
License: BSD-3-Clause
URL: https://icinga.com
Source0: icingadb-redis-7.2.9.tgz
Source1: icingadb-redis-rpm.tgz

BuildRequires: gcc
BuildRequires: make
BuildRequires: openssl-devel
BuildRequires: sed
BuildRequires: systemd-devel
BuildRequires: systemd-rpm-macros
BuildRequires: which

BuildRequires: tcl

Requires(pre): shadow

%description
Icinga DB is a set of components for publishing, synchronizing and
visualizing monitoring data in the Icinga ecosystem.
This provides a dedicated Redis server for Icinga DB.

%prep
%autosetup
install -d sources
tar -C sources -xzvf %_topdir/SOURCES/icingadb-redis-rpm.tgz

patch -sp1 < sources/redis.conf.patch

%build
sed -i 's@/usr/libexec@/usr/lib@g' sources/icingadb-redis-cli-6380.sh
make BUILD_TLS=yes USE_SYSTEMD=yes

cd sources/SELinux
for variant in mls targeted; do
make NAME=${variant} -f /usr/share/selinux/devel/Makefile
mv icingadb-redis.pp icingadb-redis.pp.${variant}
make NAME=${variant} -f /usr/share/selinux/devel/Makefile clean
done
cd -

%check
./runtest --tags unit

%install
install -dm 0750 %_topdir/BUILDROOT/icingadb-redis-7.2.9-2.opensuse15.6.x86_64/var/lib/icingadb-redis
install -dm 0750 %_topdir/BUILDROOT/icingadb-redis-7.2.9-2.opensuse15.6.x86_64/etc/icingadb-redis
install -pm 0640 redis.conf %_topdir/BUILDROOT/icingadb-redis-7.2.9-2.opensuse15.6.x86_64/etc/icingadb-redis/icingadb-redis.conf
install -dm 0755 %_topdir/BUILDROOT/icingadb-redis-7.2.9-2.opensuse15.6.x86_64/usr/share/icingadb-redis
install -pm 0644 sources/icingadb-redis-systemd.conf %_topdir/BUILDROOT/icingadb-redis-7.2.9-2.opensuse15.6.x86_64/usr/share/icingadb-redis/icingadb-redis-systemd.conf
install -Dpm 0644 sources/icingadb-redis.service %_topdir/BUILDROOT/icingadb-redis-7.2.9-2.opensuse15.6.x86_64/usr/lib/systemd/system/icingadb-redis.service
install -dm 0755 %_topdir/BUILDROOT/icingadb-redis-7.2.9-2.opensuse15.6.x86_64/usr/bin
install -pm 0755 src/redis-server %_topdir/BUILDROOT/icingadb-redis-7.2.9-2.opensuse15.6.x86_64/usr/bin/icingadb-redis-server
install -dm 0755 %_topdir/BUILDROOT/icingadb-redis-7.2.9-2.opensuse15.6.x86_64/usr/lib
install -dm 0755 %_topdir/BUILDROOT/icingadb-redis-7.2.9-2.opensuse15.6.x86_64/usr/lib/icingadb-redis
install -pm 0755 src/redis-cli %_topdir/BUILDROOT/icingadb-redis-7.2.9-2.opensuse15.6.x86_64/usr/lib/icingadb-redis/redis-cli
install -pm 0755 sources/icingadb-redis-cli-6380.sh %_topdir/BUILDROOT/icingadb-redis-7.2.9-2.opensuse15.6.x86_64/usr/bin/icingadb-redis-cli

cd sources/SELinux
for variant in mls targeted; do
install -Dpm 644 icingadb-redis.pp.${variant} %_topdir/BUILDROOT/icingadb-redis-7.2.9-2.opensuse15.6.x86_64/usr/share/selinux/${variant}/icingadb-redis.pp
done

%pre
getent passwd icingadb-redis >/dev/null || useradd -rU -d /var/lib/icingadb-redis -s /sbin/nologin icingadb-redis

%post
:
if [ -x /usr/bin/systemctl ]; then
test -n "$FIRST_ARG" || FIRST_ARG="$1"
[ -d /var/lib/systemd/migrated ] || mkdir -p /var/lib/systemd/migrated || :

if [ "$YAST_IS_RUNNING" != "instsys" ]; then
/usr/bin/systemctl daemon-reload || :
fi
for service in icingadb-redis.service ; do
sysv_service=${service%.*}

if [ -e /run/systemd/rpm/needs-preset/$service ]; then
/usr/bin/systemctl preset $service || :
rm "/run/systemd/rpm/needs-preset/$service" || :

elif [ -e /run/systemd/rpm/needs-sysv-convert/$service ]; then
/usr/sbin/systemd-sysv-convert --apply $sysv_service || :
rm "/run/systemd/rpm/needs-sysv-convert/$service" || :
touch /var/lib/systemd/migrated/$sysv_service || :
fi
done
fi

%preun
:
test -n "$FIRST_ARG" || FIRST_ARG="$1"
if [ "$FIRST_ARG" -eq 0 -a -x /usr/bin/systemctl ]; then
/usr/bin/systemctl --no-reload disable icingadb-redis.service || :
(
test "$YAST_IS_RUNNING" = instsys && exit 0
test -f /etc/sysconfig/services -a \
-z "$DISABLE_STOP_ON_REMOVAL" && . /etc/sysconfig/services
test "$DISABLE_STOP_ON_REMOVAL" = yes -o \
"$DISABLE_STOP_ON_REMOVAL" = 1 && exit 0
/usr/bin/systemctl stop icingadb-redis.service
) || :
fi

%postun
:
test -n "$FIRST_ARG" || FIRST_ARG="$1"

if [ $1 -eq 0 ]; then
for service in icingadb-redis.service ; do
sysv_service="${service%.*}"
rm -f "/var/lib/systemd/migrated/$sysv_service" || :
done
fi
if [ -x /usr/bin/systemctl ]; then
/usr/bin/systemctl daemon-reload || :
fi

if [ "$FIRST_ARG" -ge 1 ]; then
if [ -x /usr/bin/systemctl ]; then
(
test "$YAST_IS_RUNNING" = instsys && exit 0
test -f /etc/sysconfig/services -a \
-z "$DISABLE_RESTART_ON_UPDATE" && . /etc/sysconfig/services
test "$DISABLE_RESTART_ON_UPDATE" = yes -o \
"$DISABLE_RESTART_ON_UPDATE" = 1 && exit 0
/usr/bin/systemctl try-restart icingadb-redis.service
) || :
fi
fi

%files
%dir /usr/share/icingadb-redis
/usr/share/icingadb-redis/icingadb-redis-systemd.conf
/usr/lib/systemd/system/icingadb-redis.service
%dir /usr/lib/icingadb-redis
/usr/lib/icingadb-redis/redis-cli
/usr/bin/icingadb-redis-server
/usr/bin/icingadb-redis-cli

%attr(-, icingadb-redis, root) %dir /etc/icingadb-redis
%attr(-, icingadb-redis, root) %config(noreplace) /etc/icingadb-redis/icingadb-redis.conf
%attr(-, icingadb-redis, root) %dir /var/lib/icingadb-redis

%package selinux
Summary: SELinux policy module for Icinga DB Redis®
Group: System/Base
Requires: icingadb-redis = 7.2.9-2.opensuse15.6
Requires: selinux-policy
Requires: icinga-selinux-common
Requires(post): policycoreutils
Requires(postun): policycoreutils

BuildArch: noarch

BuildRequires: checkpolicy
BuildRequires: selinux-policy-devel

%description selinux
Icinga DB Redis® SELinux policy module.
This package provides the SELinux policy module for Icinga DB Redis®.

%post selinux
for variant in mls targeted; do
/usr/sbin/semodule --store ${variant} --install /usr/share/selinux/${variant}/icingadb-redis.pp &> /dev/null || :
done

/sbin/fixfiles -R icingadb-redis restore &> /dev/null || :

%postun selinux
if [ $1 -eq 0 ]; then
for variant in mls targeted; do
/usr/sbin/semodule --store ${variant} --remove icingadb-redis &> /dev/null || :
done

/sbin/fixfiles -R icingadb-redis restore &> /dev/null || :
fi

%files selinux
/usr/share/selinux/mls/icingadb-redis.pp
/usr/share/selinux/targeted/icingadb-redis.pp

%changelog
* Wed Jun 18 2025 Icinga GmbH <info@icinga.com> - 7.2.9-2.opensuse15.6
- Version 7.2.9-2

